> ## Documentation Index
> Fetch the complete documentation index at: https://docs.weav.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List sections

> Requires a token with the external-api:read or external-api:write ability. per_page integer Default: 15 Minimum: 1. Maximum: 100. page integer Default: 1 Minimum: 1. cURL JavaScript Python PHP cURL JavaScript Python PHP 200 OK 200 OK id string Format: uuid . name string slug string position…

```http
GET https://api.weav.com/v1/kb-sections
```

Requires a token with the `external-api:read` or `external-api:write` ability.

## Query parameters

<ParamField query="per_page" type="integer" default="15">
Minimum: 1.

Maximum: 100.
</ParamField>

<ParamField query="page" type="integer" default="1">
Minimum: 1.
</ParamField>

## Request

<CodeGroup>

```bash cURL
curl --request GET \
  --url 'https://api.weav.com/v1/kb-sections' \
  --header "Authorization: Bearer ${WEAV_API_TOKEN}"
```

```js JavaScript
const response = await fetch("https://api.weav.com/v1/kb-sections", {
  method: "GET",
  headers: {
    Authorization: `Bearer ${process.env.WEAV_API_TOKEN}`
  }
});
console.log(await response.json());
```

```python Python
import os
import requests

headers = {"Authorization": f"Bearer {os.environ['WEAV_API_TOKEN']}"}
response = requests.get("https://api.weav.com/v1/kb-sections", headers=headers)
print(response.json())
```

```php PHP
use GuzzleHttp\Client;

$client = new Client();
$response = $client->request('GET', 'https://api.weav.com/v1/kb-sections', [
    'headers' => ['Authorization' => 'Bearer '.getenv('WEAV_API_TOKEN')],
]);
echo $response->getBody();
```

</CodeGroup>

## Response

<CodeGroup>

```json 200 OK
{
    "data": [
        {
            "id": "9b2f6c1e-3d4a-4f5b-8c7d-1e2f3a4b5c6d",
            "name": "string",
            "slug": "string",
            "position": 0,
            "created_at": "2026-01-01T00:00:00Z",
            "updated_at": "2026-01-01T00:00:00Z"
        }
    ]
}
```

</CodeGroup>

## Response fields

<ParamField body="id" type="string">
Format: `uuid`.
</ParamField>

<ParamField body="name" type="string">

</ParamField>

<ParamField body="slug" type="string">

</ParamField>

<ParamField body="position" type="integer | null">

</ParamField>

<ParamField body="created_at" type="string | null">
Format: `date-time`.
</ParamField>

<ParamField body="updated_at" type="string | null">
Format: `date-time`.
</ParamField>

---

This knowledge base is built and hosted on [Weav](https://weav.com).
